#pragma once
#include <string>

class GetbinClient {
public:
    GetbinClient();
    bool download(const std::string& toolName, const std::string& arch, const std::string& outPath);
    bool upload(const std::string& archivePath, std::string& outUrl, std::string& outHash, const std::string& token);
    bool getHash(const std::string& toolName, const std::string& arch, std::string& outHash);
}; 